/*
 * @Author: your name
 * @Date: 2021-09-23 18:50:38
 * @LastEditTime: 2021-09-28 13:34:06
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Editd
 * @FilePath: /apollo-master/media/xnm/xnm/ros/RM/roadmodel/modules/common/road/local_view.h
 */

#pragma once

#include <memory>

// #include "road_model.h"
#include "BA_Enum_List.h"
#include "common_BA.h"

namespace BA {

/**
 * @struct output_BA
 * @brief Output contains all necessary data as BA output
 */
struct Output_BA {
  bool BA_VehInLnCenter;
  LateralBlueCorridor BA_LatBlueCorridor;
  LateralBorder BA_LatYellowBorder;
  LateralBorder BA_LatRedBorder;
  LongitudinalCorridor BA_LongtBlueCorridor;
  LongitudinalCorridor BA_LongtYellowBorder;
  LongitudinalCorridor BA_LongtRedBorder;
  SpeedLimit LongtSpeedLimit;
  
  BA_ActionTyp BA_OptAction;
  uint32_t BA_OptCorridorID;
  uint8_t BA_OptTargetObjID;
};

}  // namespace BA
